| Qore reflection Module 1.14.0

Loading...
Searching...
No Matches
Variables
Pseudo Class Constants

## Variables
const | Qore::Reflection::BinaryPseudoClass = qore(get_pseudo_class_object(NT_BINARY))
| pseudo-class for binary objects
const | Qore::Reflection::BoolPseudoClass = qore(get_pseudo_class_object(NT_BOOLEAN))
| pseudo-class for boolean values
const | Qore::Reflection::CallablePseudoClass = qore(get_pseudo_class_object(NT_FUNCREF))
| pseudo-class for callable types
const | Qore::Reflection::ClosurePseudoClass = qore(get_pseudo_class_object(NT_RUNTIME_CLOSURE))
| pseudo-class for closures
const | Qore::Reflection::DatePseudoClass = qore(get_pseudo_class_object(NT_DATE))
| pseudo-class for date-time values
const | Qore::Reflection::FloatPseudoClass = qore(get_pseudo_class_object(NT_FLOAT))
| pseudo-class for floating-point values
const | Qore::Reflection::HashPseudoClass = qore(get_pseudo_class_object(NT_HASH))
| pseudo-class for hashes
const | Qore::Reflection::IntPseudoClass = qore(get_pseudo_class_object(NT_INT))
| pseudo-class for integers
const | Qore::Reflection::ListPseudoClass = qore(get_pseudo_class_object(NT_LIST))
| pseudo-class for lists
const | Qore::Reflection::NothingPseudoClass = qore(get_pseudo_class_object(NT_NOTHING))
| pseudo-class for nothing (no value)
const | Qore::Reflection::NumberPseudoClass = qore(get_pseudo_class_object(NT_NUMBER))
| pseudo-class for arbitrary-percision numeric values
const | Qore::Reflection::ObjectPseudoClass = qore(get_pseudo_class_object(NT_OBJECT))
| pseudo-class for objects
const | Qore::Reflection::StringPseudoClass = qore(get_pseudo_class_object(NT_STRING))
| pseudo-class for strings
const | Qore::Reflection::ValuePseudoClass = qore(get_pseudo_class_object(-1))
| the base (default) pseudo-class

## Detailed Description

Since
  Qore 0.9.0